## blender 2.69

=== CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

#-----------------------------------------------------------------------------
# We don't allow in-source builds. This causes no end of troubles because
# all out-of-source builds will use the CMakeCache.txt file there and even
# build the libs and objects in it.

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	if(NOT DEFINED WITH_IN_SOURCE_BUILD)
		message(FATAL_ERROR
			"CMake generation for blender is not allowed within the source directory!"
			"\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
			"\n "
			"\n rm CMakeCache.txt"
			"\n cd .."
			"\n mkdir cmake-make"
			"\n cd cmake-make"
			"\n cmake ../blender"
			"\n "
			"\n Alternately define WITH_IN_SOURCE_BUILD to force this option (not recommended!)"
		)
	endif()
endif()

cmake_minimum_required(VERSION 2.8)

if(NOT EXECUTABLE_OUTPUT_PATH)
	set(FIRST_RUN "TRUE")
endif()

# this starts out unset
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/Modules")

# avoid having empty buildtype
set(CMAKE_BUILD_TYPE_INIT "Release")

# quiet output for Makefiles, 'make -s' helps too
# set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)

# global compile definitions since add_definitions() adds for all.
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_DEBUG           DEBUG _DEBUG)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELEASE         NDEBUG)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_MINSIZEREL      NDEBUG)
set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)


#-----------------------------------------------------------------------------
# Set policy

# see "cmake --help-policy CMP0003"
# So library linking is more sane
cmake_policy(SET CMP0003 NEW)

# So BUILDINFO and BLENDERPATH strings are automatically quoted
cmake_policy(SET CMP0005 NEW)

# So syntax problems are errors
cmake_policy(SET CMP0010 NEW)

# Input directories must have CMakeLists.txt
cmake_policy(SET CMP0014 NEW)

#-----------------------------------------------------------------------------
# Load some macros.
include(build_files/cmake/macros.cmake)


#-----------------------------------------------------------------------------
# Initialize project.

blender_project_hack_pre()

project(Blender)

blender_project_hack_post()

enable_testing()

#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE)

#-----------------------------------------------------------------------------
# Set default config options

get_blender_version()


# Blender internal features
option(WITH_BLENDER "Build blender (disable to build only the blender player)" ON)
mark_as_advanced(WITH_BLENDER)

option(WITH_INTERNATIONAL "Enable I18N (International fonts and text)" ON)

option(WITH_PYTHON        "Enable Embedded Python API  (only disable for development)" ON)
option(WITH_PYTHON_SECURITY "Disables execution of scripts within blend files by default" ON) 
mark_as_advanced(WITH_PYTHON)  # dont want people disabling this unless they really know what they are doing.
mark_as_advanced(WITH_PYTHON_SECURITY)  # some distributions see this as a security issue, rather than have them patch it, make a build option.
set(WITH_PYTHON_SECURITY ON CACHE BOOL "ON" FORCE) # temp force on. 

option(WITH_PYTHON_SAFETY "Enable internal API error checking to track invalid data to prevent crash on access (at the expense of some effeciency, only enable for development)." OFF)
option(WITH_PYTHON_MODULE "Enable building as a python module which runs without a user interface, like running regular blender in background mode (experimental, only enable for development)" OFF)
if(APPLE)
	option(WITH_PYTHON_FRAMEWORK "Enable building using the Python available in the framework (OSX only)" OFF)
endif()

option(WITH_BUILDINFO     "Include extra build details (only disable for development & faster builds)" ON)
option(WITH_IK_ITASC      "Enable ITASC IK solver (only disable for development & for incompatible C++ compilers)" ON)
option(WITH_IK_SOLVER     "Enable Legacy IK solver (only disable for development)" ON)
option(WITH_FFTW3         "Enable FFTW3 support (Used for smoke and audio effects)" ON)
option(WITH_BULLET        "Enable Bullet (Physics Engine)" ON)
option(WITH_SYSTEM_BULLET "Use the systems bullet library (currently unsupported due to missing features in upstream!)" )
mark_as_advanced(WITH_SYSTEM_BULLET)
option(WITH_GAMEENGINE    "Enable Game Engine" ON)
option(WITH_PLAYER        "Build Player" OFF)
option(WITH_OPENCOLORIO   "Enable OpenColorIO color management" ON)
option(WITH_COMPOSITOR    "Enable the tile based nodal compositor" ON)

# GHOST Windowing Library Options
option(WITH_GHOST_DEBUG   "Enable debugging output for the GHOST library" OFF)
mark_as_advanced(WITH_GHOST_DEBUG)

option(WITH_GHOST_SDL    "Enable building blender against SDL for windowing rather then the native APIs" OFF)
mark_as_advanced(WITH_GHOST_SDL)

# Misc...
option(WITH_HEADLESS      "Build without graphical support (renderfarm, server mode only)" OFF)
mark_as_advanced(WITH_HEADLESS)

option(WITH_AUDASPACE    "Build with blenders audio library (only disable if you know what you're doing!)" ON)
mark_as_advanced(WITH_AUDASPACE)

option(WITH_BOOL_COMPAT "Continue defining \"TRUE\" and \"FALSE\" until these can be replaced with \"true\" and \"false\" from stdbool.h" ON)
mark_as_advanced(WITH_BOOL_COMPAT)

# (unix defaults to OpenMP On)
if((UNIX AND NOT APPLE) OR (MINGW))
	set(PLATFORM_DEFAULT ON)
else()
	set(PLATFORM_DEFAULT OFF)
endif()
option(WITH_OPENMP        "Enable OpenMP (has to be supported by the compiler)" ${PLATFORM_DEFAULT})
unset(PLATFORM_DEFAULT)


if(UNIX AND NOT APPLE)
	option(WITH_X11_XINPUT "Enable X11 Xinput (tablet support and unicode input)"	ON)
	option(WITH_X11_XF86VMODE "Enable X11 video mode switching"	ON)
	option(WITH_SYSTEM_GLEW "Use GLEW OpenGL wrapper library provided by the operating system" ON)

	# freebsd doesn't seems to support XDND
	if(NOT ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
		option(WITH_GHOST_XDND   "Enable drag'n'drop support on Linux using XDND protocol" ON)
	endif()
else()
	# not an option for other OS's
	set(WITH_SYSTEM_GLEW OFF)
endif()


# (unix defaults to System OpenJPEG On)
if(UNIX AND NOT APPLE)
	set(PLATFORM_DEFAULT ON)
else()
	set(PLATFORM_DEFAULT OFF)
endif()
option(WITH_SYSTEM_OPENJPEG "Use the operating systems OpenJPEG library" ${PLATFORM_DEFAULT})
unset(PLATFORM_DEFAULT)


# Modifiers
option(WITH_MOD_FLUID           "Enable Elbeem Modifier (Fluid Simulation)" ON)
option(WITH_MOD_SMOKE           "Enable Smoke Modifier (Smoke Simulation)" ON)
option(WITH_MOD_BOOLEAN         "Enable Boolean Modifier" ON)
option(WITH_MOD_REMESH          "Enable Remesh Modifier" ON)
# option(WITH_MOD_CLOTH_ELTOPO    "Enable Experimental cloth solver" OFF)  # this is now only available in a branch
# mark_as_advanced(WITH_MOD_CLOTH_ELTOPO)
option(WITH_MOD_OCEANSIM        "Enable Ocean Modifier" OFF)

# Image format support
option(WITH_IMAGE_OPENEXR       "Enable OpenEXR Support (http://www.openexr.com)" ON)
option(WITH_IMAGE_OPENJPEG      "Enable OpenJpeg Support (http://www.openjpeg.org)" ON)
option(WITH_IMAGE_TIFF          "Enable LibTIFF Support" ON)
option(WITH_IMAGE_DDS           "Enable DDS Image Support" ON)
option(WITH_IMAGE_CINEON        "Enable CINEON and DPX Image Support" ON)
option(WITH_IMAGE_HDR           "Enable HDR Image Support" ON)
option(WITH_IMAGE_REDCODE       "Enable RedCode Image Support" OFF)
option(WITH_IMAGE_FRAMESERVER   "Enable image FrameServer Support for rendering" ON)

# Audio/Video format support
option(WITH_CODEC_AVI           "Enable Blenders own AVI file support (raw/jpeg)" ON)
option(WITH_CODEC_FFMPEG        "Enable FFMPeg Support (http://ffmpeg.org)" OFF)

option(WITH_CODEC_SNDFILE       "Enable libsndfile Support (http://www.mega-nerd.com/libsndfile)" OFF)
if(APPLE OR (WIN32 AND NOT UNIX))
	option(WITH_CODEC_QUICKTIME     "Enable Quicktime Support" OFF)
endif()

# 3D format support
# disable opencollada on non-apple unix because opencollada has no package for debian
option(WITH_OPENCOLLADA		"Enable OpenCollada Support (http://www.opencollada.org)"	OFF)

# Sound output
option(WITH_SDL           "Enable SDL for sound and joystick support" ON)
option(WITH_OPENAL        "Enable OpenAL Support (http://www.openal.org)" ON)
option(WITH_JACK          "Enable Jack Support (http://www.jackaudio.org)" OFF)
if(UNIX AND NOT APPLE)
	option(WITH_JACK_DYNLOAD  "Enable runtime dynamic Jack libraries loading" OFF)
endif()

# Compression
option(WITH_LZO           "Enable fast LZO compression (used for pointcache)" ON)
option(WITH_LZMA          "Enable best LZMA compression, (used for pointcache)" ON)

# Camera/motion tracking
option(WITH_LIBMV         "Enable libmv structure from motion library" ON)

# Freestyle
option(WITH_FREESTYLE     "Enable Freestyle (advanced edges rendering)" ON)

# Misc
option(WITH_INPUT_NDOF "Enable NDOF input devices (SpaceNavigator and friends)" ON)
option(WITH_RAYOPTIMIZATION	"Enable use of SIMD (SSE) optimizations for the raytracer" ON)
if(UNIX AND NOT APPLE)
	option(WITH_INSTALL_PORTABLE "Install redistributeable runtime, otherwise install into CMAKE_INSTALL_PREFIX" ON)
	option(WITH_STATIC_LIBS "Try to link with static libraries, as much as possible, to make blender more portable across distributions" OFF)
	if(WITH_STATIC_LIBS)
		option(WITH_BOOST_ICU "Boost uses ICU library (required for linking with static Boost built with libicu)." OFF)
		mark_as_advanced(WITH_BOOST_ICU)
	endif()
endif()
option(WITH_PYTHON_INSTALL       "Copy system python into the blender install folder" ON)
option(WITH_PYTHON_INSTALL_NUMPY "Copy system numpy into the blender install folder"  ON)
set(PYTHON_NUMPY_PATH            "" CACHE PATH "Python to python site-packages or dist-packages containing 'numpy' module")
mark_as_advanced(PYTHON_NUMPY_PATH)

# Cycles
option(WITH_CYCLES					"Enable cycles Render Engine" ON)
option(WITH_CYCLES_STANDALONE		"Build cycles standalone application" OFF)
option(WITH_CYCLES_STANDALONE_GUI	"Build cycles standalone with GUI" OFF)
option(WITH_CYCLES_OSL				"Build Cycles with OSL support" OFF)
option(WITH_CYCLES_CUDA_BINARIES	"Build cycles CUDA binaries" OFF)
set(CYCLES_CUDA_BINARIES_ARCH sm_20 sm_21 sm_30 sm_35 CACHE STRING "CUDA architectures to build binaries for")
mark_as_advanced(CYCLES_CUDA_BINARIES_ARCH)
unset(PLATFORM_DEFAULT)

# LLVM
option(WITH_LLVM					"Use LLVM" OFF)
option(LLVM_STATIC					"Link with LLVM static libraries" ON)
mark_as_advanced(LLVM_STATIC)

# disable for now, but plan to support on all platforms eventually
option(WITH_MEM_JEMALLOC   "Enable malloc replacement (http://www.canonware.com/jemalloc)" OFF)
mark_as_advanced(WITH_MEM_JEMALLOC)

# currently only used for BLI_mempool
option(WITH_MEM_VALGRIND "Enable extended valgrind support for better reporting" OFF)

=== SConstruct ===
#!/usr/bin/env python
#
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Nathan Letwory.
#
# ***** END GPL LICENSE BLOCK *****
#
# Main entry-point for the SCons building system
# Set up some custom actions and target/argument handling
# Then read all SConscripts and build
#
# TODO: fix /FORCE:MULTIPLE on windows to get proper debug builds.
# TODO: directory copy functions are far too complicated, see:
#       http://wiki.blender.org/index.php/User:Ideasman42/SConsNotSimpleInstallingFiles

import platform as pltfrm

# Need a better way to do this. Automagical maybe is not the best thing, maybe it is.
if pltfrm.architecture()[0] == '64bit':
    bitness = 64
else:
    bitness = 32

import sys
import os
import os.path
import string
import shutil
import re

# store path to tools
toolpath=os.path.join(".", "build_files", "scons", "tools")

# needed for importing tools
sys.path.append(toolpath)

import Blender
import btools

EnsureSConsVersion(1,0,0)

# Before we do anything, let's check if we have a sane os.environ
if not btools.check_environ():
    Exit()

BlenderEnvironment = Blender.BlenderEnvironment
B = Blender

VERSION = btools.VERSION # This is used in creating the local config directories
VERSION_RELEASE_CYCLE = btools.VERSION_RELEASE_CYCLE

### globals ###
platform = sys.platform
quickie = None
quickdebug = None

##### BEGIN SETUP #####

B.possible_types = ['core', 'player', 'player2', 'intern', 'extern']

B.binarykind = ['blender' , 'blenderplayer']
##################################
# target and argument validation #
##################################
# XX cheating for BF_FANCY, we check for BF_FANCY before args are validated
use_color = ARGUMENTS.get('BF_FANCY', '1')
if platform=='win32':
    use_color = None

if not use_color=='1':
    B.bc.disable()

 #on defaut white Os X terminal, some colors are totally unlegible
if platform=='darwin':
    B.bc.OKGREEN = '\033[34m'
    B.bc.WARNING = '\033[36m'

# arguments
print B.bc.HEADER+'Command-line arguments'+B.bc.ENDC
B.arguments = btools.validate_arguments(ARGUMENTS, B.bc)
btools.print_arguments(B.arguments, B.bc)

# targets
print B.bc.HEADER+'Command-line targets'+B.bc.ENDC
B.targets = btools.validate_targets(COMMAND_LINE_TARGETS, B.bc)
btools.print_targets(B.targets, B.bc)

##########################
# setting up environment #
##########################

# handling cmd line arguments & config file

# bitness stuff
tempbitness = int(B.arguments.get('BF_BITNESS', bitness)) # default to bitness found as per starting python
if tempbitness in (32, 64): # only set if 32 or 64 has been given
    bitness = int(tempbitness)

if bitness:
    B.bitness = bitness
else:
    B.bitness = tempbitness


# first check cmdline for toolset and we create env to work on
quickie = B.arguments.get('BF_QUICK', None)
quickdebug = B.arguments.get('BF_QUICKDEBUG', None)

if quickdebug:
    B.quickdebug=string.split(quickdebug, ',')
else:
    B.quickdebug=[]

if quickie:
    B.quickie=string.split(quickie,',')
else:
    B.quickie=[]

toolset = B.arguments.get('BF_TOOLSET', None)
vcver = B.arguments.get('MSVS_VERSION', '9.0')

if toolset:
    print "Using " + toolset
    if toolset=='mstoolkit':
        env = BlenderEnvironment(ENV = os.environ)
        env.Tool('mstoolkit', [toolpath])
    else:
        env = BlenderEnvironment(tools=[toolset], ENV = os.environ)
        if env:
            btools.SetupSpawn(env)
else:
    if bitness==64 and platform=='win32':
        env = BlenderEnvironment(ENV = os.environ, MSVS_ARCH='amd64', TARGET_ARCH='x86_64', MSVC_VERSION=vcver)
    else:
        env = BlenderEnvironment(ENV = os.environ, TARGET_ARCH='x86', MSVC_VERSION=vcver)

if not env:
    print "Could not create a build environment"
    Exit()

cc = B.arguments.get('CC', None)
cxx = B.arguments.get('CXX', None)
if cc:
    env['CC'] = cc
if cxx:
    env['CXX'] = cxx

if sys.platform=='win32':
    if env['CC'] in ['cl', 'cl.exe']:
        platform = 'win64-vc' if bitness == 64 else 'win32-vc'
    elif env['CC'] in ['gcc']:
        platform = 'win64-mingw' if bitness == 64 else 'win32-mingw'

if 'mingw' in platform:
    print "Setting custom spawn function"
    btools.SetupSpawn(env)

env.SConscriptChdir(0)

# Remove major kernel version from linux platform.
# After Linus switched kernel to new version model this major version
# shouldn't take much sense for building rules.

if re.match('linux[0-9]+', platform):
    platform = 'linux'

crossbuild = B.arguments.get('BF_CROSS', None)
if crossbuild and platform not in ('win32-vc', 'win64-vc'):
    platform = 'linuxcross'

env['OURPLATFORM'] = platform

configfile = os.path.join("build_files", "scons", "config", platform + "-config.py")

if os.path.exists(configfile):
    print B.bc.OKGREEN + "Using config file: " + B.bc.ENDC + configfile
else:
    print B.bc.FAIL + configfile + " doesn't exist" + B.bc.ENDC

if crossbuild and env['PLATFORM'] != 'win32':
    print B.bc.HEADER+"Preparing for crossbuild"+B.bc.ENDC
    env.Tool('crossmingw', [toolpath])
    # todo: determine proper libs/includes etc.
    # Needed for gui programs, console programs should do without it

    # Now we don't need this option to have console window
    # env.Append(LINKFLAGS=['-mwindows'])

userconfig = B.arguments.get('BF_CONFIG', 'user-config.py')
# first read platform config. B.arguments will override
optfiles = [configfile]
if os.path.exists(userconfig):
    print B.bc.OKGREEN + "Using user-config file: " + B.bc.ENDC + userconfig
    optfiles += [userconfig]
else:
    print B.bc.WARNING + userconfig + " not found, no user overrides" + B.bc.ENDC

opts = btools.read_opts(env, optfiles, B.arguments)
opts.Update(env)

if sys.platform=='win32':
    if bitness==64:
        env.Append(CPPFLAGS=['-DWIN64']) # -DWIN32 needed too, as it's used all over to target Windows generally

if not env['BF_FANCY']:
    B.bc.disable()


# remove install dir so old and new files are not mixed.
# NOTE: only do the scripts directory for now, otherwise is too disruptive for developers
# TODO: perhaps we need an option (off by default) to not do this altogether...
if not env['WITHOUT_BF_INSTALL'] and not env['WITHOUT_BF_OVERWRITE_INSTALL']:
    scriptsDir = os.path.join(env['BF_INSTALLDIR'], VERSION, 'scripts')
    if os.path.isdir(scriptsDir):
        print B.bc.OKGREEN + "Clearing installation directory%s: %s" % (B.bc.ENDC, os.path.abspath(scriptsDir))
        shutil.rmtree(scriptsDir)


SetOption('num_jobs', int(env['BF_NUMJOBS']))
print B.bc.OKGREEN + "Build with parallel jobs%s: %s" % (B.bc.ENDC, GetOption('num_jobs'))
print B.bc.OKGREEN + "Build with debug symbols%s: %s" % (B.bc.ENDC, env['BF_DEBUG'])

if 'blenderlite' in B.targets:
    target_env_defs = {}
    target_env_defs['WITH_BF_GAMEENGINE'] = False
    target_env_defs['WITH_BF_CYCLES'] = False
    target_env_defs['WITH_BF_OPENAL'] = False
    target_env_defs['WITH_BF_OPENEXR'] = False
    target_env_defs['WITH_BF_OPENMP'] = False
    target_env_defs['WITH_BF_ICONV'] = False
    target_env_defs['WITH_BF_INTERNATIONAL'] = False
    target_env_defs['WITH_BF_OPENJPEG'] = False
    target_env_defs['WITH_BF_FFMPEG'] = False
    target_env_defs['WITH_BF_QUICKTIME'] = False
    target_env_defs['WITH_BF_REDCODE'] = False
    target_env_defs['WITH_BF_DDS'] = False
    target_env_defs['WITH_BF_CINEON'] = False
    target_env_defs['WITH_BF_FRAMESERVER'] = False
    target_env_defs['WITH_BF_HDR'] = False
    target_env_defs['WITH_BF_ZLIB'] = False
    target_env_defs['WITH_BF_SDL'] = False
    target_env_defs['WITH_BF_JPEG'] = False
    target_env_defs['WITH_BF_PNG'] = False
    target_env_defs['WITH_BF_BULLET'] = False
    target_env_defs['WITH_BF_BINRELOC'] = False
    target_env_defs['BF_BUILDINFO'] = False
    target_env_defs['WITH_BF_FLUID'] = False
    target_env_defs['WITH_BF_OCEANSIM'] = False
    target_env_defs['WITH_BF_SMOKE'] = False
    target_env_defs['WITH_BF_BOOLEAN'] = False
    target_env_defs['WITH_BF_REMESH'] = False
    target_env_defs['WITH_BF_PYTHON'] = False
    target_env_defs['WITH_BF_3DMOUSE'] = False
    target_env_defs['WITH_BF_LIBMV'] = False
    target_env_defs['WITH_BF_FREESTYLE'] = False

    # Merge blenderlite, let command line to override
    for k,v in target_env_defs.iteritems():
        if k not in B.arguments:
            env[k] = v

if 'cudakernels' in B.targets:
    env['WITH_BF_CYCLES'] = True
    env['WITH_BF_CYCLES_CUDA_BINARIES'] = True
    env['WITH_BF_PYTHON'] = False

# Extended OSX_SDK and 3D_CONNEXION_CLIENT_LIBRARY and JAckOSX detection for OSX
if env['OURPLATFORM']=='darwin':
    print B.bc.OKGREEN + "Detected Xcode version: -- " + B.bc.ENDC + env['XCODE_CUR_VER'] + " --"
    print "Available " + env['MACOSX_SDK_CHECK']
    if not 'Mac OS X 10.6' in env['MACOSX_SDK_CHECK']:
        print  B.bc.OKGREEN + "Auto-setting available MacOSX SDK -> " + B.bc.ENDC + "MacOSX10.7.sdk"
    elif not 'Mac OS X 10.5' in env['MACOSX_SDK_CHECK']:
        print  B.bc.OKGREEN + "Auto-setting available MacOSX SDK -> " + B.bc.ENDC + "MacOSX10.6.sdk"
    else:
        print B.bc.OKGREEN + "Found recommended sdk :" + B.bc.ENDC + " using MacOSX10.5.sdk"
		
    if env['CXX'].startswith('clang') and env['XCODE_CUR_VER'] >= '5':
        env['CCFLAGS'].append('-ftemplate-depth=1024') # only valid for clang bundled with xcode 5

    # for now, Mac builders must download and install the 3DxWare 10 Beta 4 driver framework from 3Dconnexion
    # necessary header file lives here when installed:
    # /Library/Frameworks/3DconnexionClient.framework/Versions/Current/Headers/ConnexionClientAPI.h
    if env['WITH_BF_3DMOUSE'] == 1:
        if not os.path.exists('/Library/Frameworks/3DconnexionClient.framework'):
            print "3D_CONNEXION_CLIENT_LIBRARY not found, disabling WITH_BF_3DMOUSE" # avoid build errors !
            env['WITH_BF_3DMOUSE'] = 0
        else:
            env.Append(LINKFLAGS=['-F/Library/Frameworks','-Xlinker','-weak_framework','-Xlinker','3DconnexionClient'])
            env['BF_3DMOUSE_INC'] = '/Library/Frameworks/3DconnexionClient.framework/Headers'

    # for now, Mac builders must download and install the JackOSX framework
    # necessary header file lives here when installed:
    # /Library/Frameworks/Jackmp.framework/Versions/A/Headers/jack.h
    if env['WITH_BF_JACK'] == 1:
        if not os.path.exists('/Library/Frameworks/Jackmp.framework'):
            print "JackOSX install not found, disabling WITH_BF_JACK" # avoid build errors !
            env['WITH_BF_JACK'] = 0
        else:
            env.Append(LINKFLAGS=['-F/Library/Frameworks','-Xlinker','-weak_framework','-Xlinker','Jackmp'])

    if env['WITH_BF_CYCLES_OSL'] == 1:
        OSX_OSL_LIBPATH = Dir(env.subst(env['BF_OSL_LIBPATH'])).abspath
        # we need 2 variants of passing the oslexec with the force_load option, string and list type atm
        if env['CC'][:-2].endswith('4.8'):
		    env.Append(LINKFLAGS=['-L'+OSX_OSL_LIBPATH,'-loslcomp','-loslexec','-loslquery'])
        else:
            env.Append(LINKFLAGS=['-L'+OSX_OSL_LIBPATH,'-loslcomp','-force_load '+ OSX_OSL_LIBPATH +'/liboslexec.a','-loslquery'])

=== extern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

# Otherwise we get warnings here that we cant fix in external projects
remove_strict_flags()

add_subdirectory(colamd)
add_subdirectory(rangetree)
add_subdirectory(wcwidth)
add_subdirectory(libmv)

if(WITH_BULLET)
	if(NOT WITH_SYSTEM_BULLET)
		add_subdirectory(bullet2)
	endif()
endif()

# now only available in a branch
#if(WITH_MOD_CLOTH_ELTOPO)
#	add_subdirectory(eltopo)
#endif()

if(WITH_BINRELOC)
	add_subdirectory(binreloc)
endif()

if(NOT WITH_SYSTEM_GLEW)
	add_subdirectory(glew)
endif()

if(WITH_GAMEENGINE)
	add_subdirectory(recastnavigation)
endif()

if(WITH_IMAGE_OPENJPEG AND (NOT WITH_SYSTEM_OPENJPEG))
	add_subdirectory(libopenjpeg)
endif()

if(WITH_IMAGE_REDCODE)
	add_subdirectory(libredcode)
endif()

if(WITH_LZO)
	add_subdirectory(lzo)
endif()

if(WITH_LZMA)
	add_subdirectory(lzma)
endif()

if(WITH_MOD_BOOLEAN)
	add_subdirectory(carve)
endif()

if(WITH_GHOST_XDND)
	if(UNIX AND NOT APPLE)
		add_subdirectory(xdnd)
	endif()
endif()

=== intern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

# add_subdirectory(atomic)  # header only
add_subdirectory(string)
add_subdirectory(ghost)
add_subdirectory(guardedalloc)
add_subdirectory(memutil)
add_subdirectory(opencolorio)
add_subdirectory(opennl)
add_subdirectory(mikktspace)
add_subdirectory(raskter)

if(WITH_AUDASPACE)
	add_subdirectory(audaspace)
endif()

if(WITH_MOD_REMESH)
	add_subdirectory(dualcon)
endif()

if(WITH_MOD_FLUID)
	add_subdirectory(elbeem)
endif()

if(WITH_MOD_SMOKE)
	add_subdirectory(smoke)
endif()

if(WITH_MOD_BOOLEAN)
	add_subdirectory(bsp)
endif()

if(WITH_IK_SOLVER)
	add_subdirectory(iksolver)
endif()

if(WITH_IK_ITASC)
	add_subdirectory(itasc)
endif()

if(WITH_IK_SOLVER OR WITH_GAMEENGINE)
	add_subdirectory(moto)
endif()

if(WITH_CYCLES)
	add_subdirectory(cycles)
endif()

if(WITH_INTERNATIONAL)
	add_subdirectory(locale)
endif()

if(WITH_BULLET)
	add_subdirectory(rigidbody)
endif()

if(WITH_COMPOSITOR)
	add_subdirectory(opencl)
endif()

# only windows needs utf16 converter
if(WIN32)
	add_subdirectory(utfconv)
endif()

=== source/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

add_subdirectory(blender)

if(WITH_GAMEENGINE)
	add_subdirectory(gameengine)
endif()

add_subdirectory(tests)

=== extern/bullet2/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurai, Erwin Coumans
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
	src
)

set(INC_SYS

)

set(SRC
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.cpp
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.cpp
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.cpp
	src/BulletCollision/BroadphaseCollision/btDbvt.cpp
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btDispatcher.cpp
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.cpp
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.cpp
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.cpp
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.cpp
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.cpp
	src/BulletCollision/CollisionDispatch/btCollisionObject.cpp
	src/BulletCollision/CollisionDispatch/btCollisionWorld.cpp
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.cpp
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btGhostObject.cpp
	src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.cpp
	src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.h
	src/BulletCollision/CollisionDispatch/btManifoldResult.cpp
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.cpp
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btUnionFind.cpp
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.cpp
	src/BulletCollision/CollisionShapes/btBoxShape.cpp
	src/BulletCollision/CollisionShapes/btBox2dShape.cpp
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btCapsuleShape.cpp
	src/BulletCollision/CollisionShapes/btCollisionShape.cpp
	src/BulletCollision/CollisionShapes/btCompoundShape.cpp
	src/BulletCollision/CollisionShapes/btConcaveShape.cpp
	src/BulletCollision/CollisionShapes/btConeShape.cpp
	src/BulletCollision/CollisionShapes/btConvexHullShape.cpp
	src/BulletCollision/CollisionShapes/btConvexInternalShape.cpp
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp
	src/BulletCollision/CollisionShapes/btConvexPolyhedron.cpp
	src/BulletCollision/CollisionShapes/btConvexShape.cpp
	src/BulletCollision/CollisionShapes/btConvex2dShape.cpp
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btCylinderShape.cpp
	src/BulletCollision/CollisionShapes/btEmptyShape.cpp
	src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.cpp
	src/BulletCollision/CollisionShapes/btMinkowskiSumShape.cpp
	src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btMultiSphereShape.cpp
	src/BulletCollision/CollisionShapes/btOptimizedBvh.cpp
	src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
	src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btShapeHull.cpp
	src/BulletCollision/CollisionShapes/btSphereShape.cpp
	src/BulletCollision/CollisionShapes/btStaticPlaneShape.cpp
	src/BulletCollision/CollisionShapes/btStridingMeshInterface.cpp
	src/BulletCollision/CollisionShapes/btTetrahedronShape.cpp
	src/BulletCollision/CollisionShapes/btTriangleBuffer.cpp
	src/BulletCollision/CollisionShapes/btTriangleCallback.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexMaterialArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleMesh.cpp
	src/BulletCollision/CollisionShapes/btTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btUniformScalingShape.cpp
	src/BulletCollision/Gimpact/btContactProcessing.cpp
	src/BulletCollision/Gimpact/btGenericPoolAllocator.cpp
	src/BulletCollision/Gimpact/btGImpactBvh.cpp
	src/BulletCollision/Gimpact/btGImpactCollisionAlgorithm.cpp
	src/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp
	src/BulletCollision/Gimpact/btGImpactShape.cpp
	src/BulletCollision/Gimpact/btTriangleShapeEx.cpp
	src/BulletCollision/Gimpact/gim_box_set.cpp
	src/BulletCollision/Gimpact/gim_contact.cpp
	src/BulletCollision/Gimpact/gim_memory.cpp
	src/BulletCollision/Gimpact/gim_tri_collision.cpp
	src/BulletCollision/NarrowPhaseCollision/btContinuousConvexCollision.cpp
	src/BulletCollision/NarrowPhaseCollision/btConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkEpaPenetrationDepthSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp
	src/BulletCollision/NarrowPhaseCollision/btMinkowskiPenetrationDepthSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btPersistentManifold.cpp
	src/BulletCollision/NarrowPhaseCollision/btRaycastCallback.cpp
	src/BulletCollision/NarrowPhaseCollision/btSubSimplexConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btVoronoiSimplexSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btPolyhedralContactClipping.cpp
	
	src/BulletDynamics/ConstraintSolver/btConeTwistConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btContactConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofSpringConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btHinge2Constraint.cpp
	src/BulletDynamics/ConstraintSolver/btHingeConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btPoint2PointConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp
	src/BulletDynamics/ConstraintSolver/btSliderConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btSolve2LinearConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btTypedConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btUniversalConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGearConstraint.cpp
	src/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp
	src/BulletDynamics/Dynamics/btRigidBody.cpp
	src/BulletDynamics/Dynamics/btSimpleDynamicsWorld.cpp
	src/BulletDynamics/Dynamics/Bullet-C-API.cpp
	src/BulletDynamics/Vehicle/btRaycastVehicle.cpp
	src/BulletDynamics/Vehicle/btWheelInfo.cpp
	src/BulletDynamics/Character/btKinematicCharacterController.cpp
	
	src/BulletSoftBody/btSoftBody.cpp
	src/BulletSoftBody/btSoftBodyConcaveCollisionAlgorithm.cpp
	src/BulletSoftBody/btSoftBodyHelpers.cpp
	src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.cpp
	src/BulletSoftBody/btSoftRigidCollisionAlgorithm.cpp
	src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp
	src/BulletSoftBody/btSoftSoftCollisionAlgorithm.cpp
	src/BulletSoftBody/btDefaultSoftBodySolver.cpp
	
	src/LinearMath/btAlignedAllocator.cpp
	src/LinearMath/btConvexHull.cpp
	src/LinearMath/btConvexHullComputer.cpp
	src/LinearMath/btGeometryUtil.cpp
	src/LinearMath/btQuickprof.cpp
	src/LinearMath/btSerializer.cpp
	src/LinearMath/btVector3.cpp
	src/LinearMath/btPolarDecomposition.cpp
	
	
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h
	src/BulletCollision/BroadphaseCollision/btDbvt.h
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.h
	src/BulletCollision/BroadphaseCollision/btDispatcher.h
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCallback.h
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.h
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.h
	src/BulletCollision/CollisionDispatch/btCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btCollisionCreateFunc.h
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.h
	src/BulletCollision/CollisionDispatch/btCollisionObjectWrapper.h
	src/BulletCollision/CollisionDispatch/btCollisionObject.h
	src/BulletCollision/CollisionDispatch/btCollisionWorld.h
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btGhostObject.h
	src/BulletCollision/CollisionDispatch/btManifoldResult.h
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.h
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btUnionFind.h
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.h
	src/BulletCollision/CollisionShapes/btBoxShape.h
	src/BulletCollision/CollisionShapes/btBox2dShape.h
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.h
	src/BulletCollision/CollisionShapes/btCapsuleShape.h
	src/BulletCollision/CollisionShapes/btCollisionMargin.h
	src/BulletCollision/CollisionShapes/btCollisionShape.h
	src/BulletCollision/CollisionShapes/btCompoundShape.h
	src/BulletCollision/CollisionShapes/btConcaveShape.h
	src/BulletCollision/CollisionShapes/btConeShape.h
	src/BulletCollision/CollisionShapes/btConvexHullShape.h
	src/BulletCollision/CollisionShapes/btConvexInternalShape.h
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.h
	src/BulletCollision/CollisionShapes/btConvexPolyhedron.h
	src/BulletCollision/CollisionShapes/btConvexShape.h
	src/BulletCollision/CollisionShapes/btConvex2dShape.h
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.h

=== extern/carve/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurai, Erwin Coumans
#
# ***** END GPL LICENSE BLOCK *****

# NOTE: This file is automatically generated by bundle.sh script
#       If you're doing changes in this file, please update template
#       in that script too

set(INC
	include
)

set(INC_SYS
)

set(SRC
	lib/aabb.cpp
	lib/carve.cpp
	lib/convex_hull.cpp
	lib/csg_collector.cpp
	lib/csg.cpp
	lib/edge.cpp
	lib/face.cpp
	lib/geom2d.cpp
	lib/geom3d.cpp
	lib/intersect_classify_edge.cpp
	lib/intersect_classify_group.cpp
	lib/intersect.cpp
	lib/intersect_debug.cpp
	lib/intersect_face_division.cpp
	lib/intersect_group.cpp
	lib/intersect_half_classify_group.cpp
	lib/intersection.cpp
	lib/math.cpp
	lib/mesh.cpp
	lib/octree.cpp
	lib/pointset.cpp
	lib/polyhedron.cpp
	lib/polyline.cpp
	lib/tag.cpp
	lib/timing.cpp
	lib/triangulator.cpp

	lib/csg_collector.hpp
	lib/csg_data.hpp
	lib/csg_detail.hpp
	lib/intersect_classify_common.hpp
	lib/intersect_classify_common_impl.hpp
	lib/intersect_common.hpp
	lib/intersect_debug.hpp

	include/carve/aabb.hpp
	include/carve/aabb_impl.hpp
	include/carve/carve.hpp
	include/carve/cbrt.h
	include/carve/classification.hpp
	include/carve/collection.hpp
	include/carve/collection_types.hpp
	include/carve/collection/unordered/boost_impl.hpp
	include/carve/collection/unordered/fallback_impl.hpp
	include/carve/collection/unordered.hpp
	include/carve/collection/unordered/libstdcpp_impl.hpp
	include/carve/collection/unordered/std_impl.hpp
	include/carve/collection/unordered/tr1_impl.hpp
	include/carve/collection/unordered/vcpp_impl.hpp
	include/carve/colour.hpp
	include/carve/convex_hull.hpp
	include/carve/csg.hpp
	include/carve/csg_triangulator.hpp
	include/carve/debug_hooks.hpp
	include/carve/djset.hpp
	include/carve/edge_decl.hpp
	include/carve/edge_impl.hpp
	include/carve/exact.hpp
	include/carve/face_decl.hpp
	include/carve/face_impl.hpp
	include/carve/faceloop.hpp
	include/carve/geom2d.hpp
	include/carve/geom3d.hpp
	include/carve/geom.hpp
	include/carve/geom_impl.hpp
	include/carve/gnu_cxx.h
	include/carve/heap.hpp
	include/carve/input.hpp
	include/carve/interpolator.hpp
	include/carve/intersection.hpp
	include/carve/iobj.hpp
	include/carve/kd_node.hpp
	include/carve/math_constants.hpp
	include/carve/math.hpp
	include/carve/matrix.hpp
	include/carve/mesh.hpp
	include/carve/mesh_impl.hpp
	include/carve/mesh_ops.hpp
	include/carve/mesh_simplify.hpp
	include/carve/octree_decl.hpp
	include/carve/octree_impl.hpp
	include/carve/pointset_decl.hpp
	include/carve/pointset.hpp
	include/carve/pointset_impl.hpp
	include/carve/pointset_iter.hpp
	include/carve/poly_decl.hpp
	include/carve/polyhedron_base.hpp
	include/carve/polyhedron_decl.hpp
	include/carve/polyhedron_impl.hpp
	include/carve/poly.hpp
	include/carve/poly_impl.hpp
	include/carve/polyline_decl.hpp
	include/carve/polyline.hpp
	include/carve/polyline_impl.hpp
	include/carve/polyline_iter.hpp
	include/carve/rescale.hpp
	include/carve/rtree.hpp
	include/carve/spacetree.hpp
	include/carve/tag.hpp
	include/carve/timing.hpp
	include/carve/tree.hpp
	include/carve/triangulator.hpp
	include/carve/triangulator_impl.hpp
	include/carve/util.hpp
	include/carve/vcpp_config.h
	include/carve/vector.hpp
	include/carve/vertex_decl.hpp
	include/carve/vertex_impl.hpp
	include/carve/win32.h
)

if(WITH_BOOST)
	if(NOT MSVC)
		# Boost is setting as preferred collections library in the Carve code when using MSVC compiler
		add_definitions(
			-DHAVE_BOOST_UNORDERED_COLLECTIONS
		)
	endif()

	add_definitions(
		-DCARVE_SYSTEM_BOOST
	)

	list(APPEND INC_SYS
		${BOOST_INCLUDE_DIR}
	)
endif()

blender_add_lib(extern_carve "${SRC}" "${INC}" "${INC_SYS}")

=== extern/libmv/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2011, Blender Foundation
# All rights reserved.
#
# Contributor(s): Blender Foundation,
#                 Sergey Sharybin
#
# ***** END GPL LICENSE BLOCK *****

# NOTE: This file is automatically generated by bundle.sh script
#       If you're doing changes in this file, please update template
#       in that script too

set(INC
	.
)

set(SRC
	libmv-capi.h
)

if(WITH_LIBMV)
	add_definitions(
		-DWITH_LIBMV
	)

	list(APPEND INC
		third_party/ceres/include
	)

	set(INC_SYS
		../Eigen3
		${PNG_INCLUDE_DIR}
		${ZLIB_INCLUDE_DIRS}
	)

	list(APPEND SRC
		libmv-capi.cc
		libmv/image/array_nd.cc
		libmv/image/convolve.cc
		libmv/multiview/conditioning.cc
		libmv/multiview/euclidean_resection.cc
		libmv/multiview/fundamental.cc
		libmv/multiview/homography.cc
		libmv/multiview/panography.cc
		libmv/multiview/projection.cc
		libmv/multiview/triangulation.cc
		libmv/numeric/numeric.cc
		libmv/numeric/poly.cc
		libmv/simple_pipeline/bundle.cc
		libmv/simple_pipeline/camera_intrinsics.cc
		libmv/simple_pipeline/detect.cc
		libmv/simple_pipeline/initialize_reconstruction.cc
		libmv/simple_pipeline/intersect.cc
		libmv/simple_pipeline/keyframe_selection.cc
		libmv/simple_pipeline/modal_solver.cc
		libmv/simple_pipeline/pipeline.cc
		libmv/simple_pipeline/reconstruction.cc
		libmv/simple_pipeline/reconstruction_scale.cc
		libmv/simple_pipeline/resect.cc
		libmv/simple_pipeline/tracks.cc
		libmv/tracking/brute_region_tracker.cc
		libmv/tracking/hybrid_region_tracker.cc
		libmv/tracking/klt_region_tracker.cc
		libmv/tracking/pyramid_region_tracker.cc
		libmv/tracking/retrack_region_tracker.cc
		libmv/tracking/track_region.cc
		libmv/tracking/trklt_region_tracker.cc

		third_party/fast/fast_10.c
		third_party/fast/fast_11.c
		third_party/fast/fast_12.c
		third_party/fast/fast_9.c
		third_party/fast/fast.c
		third_party/fast/nonmax.c
		third_party/gflags/gflags.cc
		third_party/gflags/gflags_completions.cc
		third_party/gflags/gflags_reporting.cc

		libmv/base/id_generator.h
		libmv/base/scoped_ptr.h
		libmv/base/vector.h
		libmv/base/vector_utils.h
		libmv/image/array_nd.h
		libmv/image/convolve.h
		libmv/image/correlation.h
		libmv/image/image.h
		libmv/image/sample.h
		libmv/image/tuple.h
		libmv/logging/logging.h
		libmv/multiview/conditioning.h
		libmv/multiview/euclidean_resection.h
		libmv/multiview/fundamental.h
		libmv/multiview/homography.h
		libmv/multiview/homography_parameterization.h
		libmv/multiview/nviewtriangulation.h
		libmv/multiview/panography.h
		libmv/multiview/projection.h
		libmv/multiview/resection.h
		libmv/multiview/triangulation.h
		libmv/numeric/dogleg.h
		libmv/numeric/function_derivative.h
		libmv/numeric/levenberg_marquardt.h
		libmv/numeric/numeric.h
		libmv/numeric/poly.h
		libmv/simple_pipeline/bundle.h
		libmv/simple_pipeline/callbacks.h
		libmv/simple_pipeline/camera_intrinsics.h
		libmv/simple_pipeline/detect.h
		libmv/simple_pipeline/initialize_reconstruction.h
		libmv/simple_pipeline/intersect.h
		libmv/simple_pipeline/keyframe_selection.h
		libmv/simple_pipeline/modal_solver.h
		libmv/simple_pipeline/pipeline.h
		libmv/simple_pipeline/reconstruction.h
		libmv/simple_pipeline/reconstruction_scale.h
		libmv/simple_pipeline/resect.h
		libmv/simple_pipeline/tracks.h
		libmv/tracking/brute_region_tracker.h
		libmv/tracking/hybrid_region_tracker.h
		libmv/tracking/klt_region_tracker.h
		libmv/tracking/pyramid_region_tracker.h
		libmv/tracking/region_tracker.h
		libmv/tracking/retrack_region_tracker.h
		libmv/tracking/track_region.h
		libmv/tracking/trklt_region_tracker.h

		third_party/fast/fast.h
		third_party/gflags/config.h
		third_party/gflags/gflags/gflags_completions.h
		third_party/gflags/gflags/gflags_declare.h
		third_party/gflags/gflags/gflags.h
		third_party/gflags/mutex.h
		third_party/gflags/util.h
		third_party/msinttypes/inttypes.h
		third_party/msinttypes/stdint.h
	)

	if(WIN32)
		list(APPEND SRC
			third_party/glog/src/logging.cc
			third_party/glog/src/raw_logging.cc
			third_party/glog/src/utilities.cc
			third_party/glog/src/vlog_is_on.cc
			third_party/glog/src/windows/port.cc

			third_party/glog/src/utilities.h
			third_party/glog/src/stacktrace_generic-inl.h
			third_party/glog/src/stacktrace.h
			third_party/glog/src/stacktrace_x86_64-inl.h
			third_party/glog/src/base/googleinit.h
			third_party/glog/src/base/mutex.h
			third_party/glog/src/base/commandlineflags.h
			third_party/glog/src/stacktrace_powerpc-inl.h
			third_party/glog/src/stacktrace_x86-inl.h
			third_party/glog/src/config.h
			third_party/glog/src/stacktrace_libunwind-inl.h
			third_party/glog/src/windows/glog/raw_logging.h
			third_party/glog/src/windows/glog/vlog_is_on.h
			third_party/glog/src/windows/glog/logging.h
			third_party/glog/src/windows/glog/log_severity.h
			third_party/glog/src/windows/port.h
			third_party/glog/src/windows/config.h
		)

		list(APPEND INC
			third_party/glog/src/windows
		)

		if(NOT MINGW)
			list(APPEND INC
				third_party/msinttypes
			)
		endif()
	else()
		list(APPEND SRC
			third_party/glog/src/demangle.cc
			third_party/glog/src/logging.cc
			third_party/glog/src/raw_logging.cc
			third_party/glog/src/signalhandler.cc
			third_party/glog/src/symbolize.cc
			third_party/glog/src/utilities.cc
			third_party/glog/src/vlog_is_on.cc

			third_party/glog/src/base/commandlineflags.h
			third_party/glog/src/base/googleinit.h
			third_party/glog/src/base/mutex.h
			third_party/glog/src/config_freebsd.h
			third_party/glog/src/config.h
			third_party/glog/src/config_hurd.h
			third_party/glog/src/config_linux.h
			third_party/glog/src/config_mac.h
			third_party/glog/src/demangle.h
			third_party/glog/src/glog/logging.h
			third_party/glog/src/glog/log_severity.h
			third_party/glog/src/glog/raw_logging.h
			third_party/glog/src/glog/vlog_is_on.h
			third_party/glog/src/stacktrace_generic-inl.h
			third_party/glog/src/stacktrace.h
			third_party/glog/src/stacktrace_libunwind-inl.h
			third_party/glog/src/stacktrace_powerpc-inl.h
			third_party/glog/src/stacktrace_x86_64-inl.h
			third_party/glog/src/stacktrace_x86-inl.h
			third_party/glog/src/symbolize.h
			third_party/glog/src/utilities.h
		)

		list(APPEND INC
			third_party/glog/src
		)
	endif()

	add_definitions(
		-DGOOGLE_GLOG_DLL_DECL=
	)
else()
	list(APPEND SRC
		libmv-capi_stub.cc
	)
endif()

blender_add_lib(extern_libmv "${SRC}" "${INC}" "${INC_SYS}")

if(WITH_LIBMV)
	add_subdirectory(third_party)
endif()

=== extern/libopenjpeg/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
)

set(INC_SYS

)

if(WIN32)
	add_definitions(-DOPJ_STATIC)
endif()

set(SRC
	bio.c
	cio.c
	dwt.c
	event.c
	image.c
	j2k.c
	j2k_lib.c
	jp2.c
	jpt.c
	mct.c
	mqc.c
	openjpeg.c
	pi.c
	raw.c
	t1.c
	t2.c
	tcd.c
	tgt.c
	cidx_manager.c
	phix_manager.c
	ppix_manager.c
	thix_manager.c
	tpix_manager.c

	bio.h
	cio.h
	dwt.h
	event.h
	fix.h
	image.h
	int.h
	j2k.h
	j2k_lib.h
	jp2.h
	jpt.h
	mct.h
	mqc.h
	openjpeg.h
	opj_includes.h
	opj_malloc.h
	pi.h
	raw.h
	t1.h
	t1_luts.h
	t2.h
	tcd.h
	tgt.h
	cidx_manager.h
	indexbox_manager.h
	opj_config.h
)

blender_add_lib(extern_openjpeg "${SRC}" "${INC}" "${INC_SYS}")

=== extern/libredcode/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
)

set(INC_SYS
	../libopenjpeg
)

set(SRC
	codec.c
	debayer.c
	format.c

	codec.h
	debayer.h
	format.h
)

blender_add_lib(extern_redcode "${SRC}" "${INC}" "${INC_SYS}")

=== extern/lzo/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Daniel Genrich
#
# ***** END GPL LICENSE BLOCK *****

set(INC

)

set(INC_SYS

)

set(SRC
	minilzo/minilzo.c

	minilzo/lzoconf.h
	minilzo/lzodefs.h
	minilzo/minilzo.h
)

blender_add_lib(extern_minilzo "${SRC}" "${INC}" "${INC_SYS}")

=== extern/recastnavigation/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Daniel Genrich
#
# ***** END GPL LICENSE BLOCK *****

set(INC 
		Recast/Include
		Detour/Include
)

set(INC_SYS

)

set(SRC 
		recast-capi.cpp
		recast-capi.h


		Detour/Source/DetourCommon.cpp
		Detour/Source/DetourNode.cpp
		Detour/Source/DetourStatNavMesh.cpp
		Detour/Source/DetourStatNavMeshBuilder.cpp
		Detour/Source/DetourTileNavMesh.cpp
		Detour/Source/DetourTileNavMeshBuilder.cpp

		Detour/Include/DetourCommon.h
		Detour/Include/DetourNode.h
		Detour/Include/DetourStatNavMesh.h
		Detour/Include/DetourStatNavMeshBuilder.h
		Detour/Include/DetourTileNavMesh.h
		Detour/Include/DetourTileNavMeshBuilder.h

		Recast/Source/Recast.cpp
		Recast/Source/RecastAlloc.cpp
		Recast/Source/RecastArea.cpp
		Recast/Source/RecastContour.cpp
		Recast/Source/RecastFilter.cpp
		Recast/Source/RecastLayers.cpp
		Recast/Source/RecastMesh.cpp
		Recast/Source/RecastMeshDetail.cpp
		Recast/Source/RecastRasterization.cpp
		Recast/Source/RecastRegion.cpp

		Recast/Include/Recast.h
		Recast/Include/RecastAlloc.h
		Recast/Include/RecastAssert.h
)

blender_add_lib(extern_recastnavigation "${SRC}" "${INC}" "${INC_SYS}")

=== debian/changelog ===
blender (2.69-4ubuntu2) trusty; urgency=medium

  * Add aarch64 to 0012-fix_FTBFS_on_unofficial_64bit_archs.patch for arm64.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Mar 2014 15:30:00 -0600

blender (2.69-4ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Configure without OpenImageIO on armhf, as it is not available on
      Ubuntu. (LP: #1289899)

 -- Ross Gammon <rossgammon@mail.dk>  Thu, 9 Mar 2014 00:54:00 +0100

blender (2.69-4) unstable; urgency=medium

  * debian/patches/: patchset re-worked
    - 0011-fix_FTBFS_on_armel.patch refreshed
    - 0012-fix_FTBFS_on_unofficial_64bit_archs.patch added
      Thanks to Aurelien Jarno (aurel32) for the hint. (Closes: #739118)
  * debian/control: S-V bump 3.9.4 => 3.9.5 (no changes needed)

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Mon, 17 Feb 2014 14:36:00 +0100

blender (2.69-3) unstable; urgency=low

  * debian/patches/: patchset updated
    - 0011-fix_FTBFS_on_armel.patch added (Closes: #730978)
      Thanks to Sergey Sharybin (upstream devel) for the hint.

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Fri, 13 Dec 2013 08:54:15 +0100

blender (2.69-2) unstable; urgency=low

  * debian/rules: -DFREETYPE_INCLUDE_DIRS variable set.
    This should fix the massive FTBFS on recent rebuilds.
  * debian/control: libopencolorio-dev b-dep dropped.
    Actually this library FTBFS on kFreeBSDs+Hurd and
    this prevents Blender to build on those arches.
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfvescovi@gmail.com>  Thu, 05 Dec 2013 09:49:36 +0100

blender (2.69-1) unstable; urgency=low

  [ Ross Gammon ]
  * debian/copyright: massive update (Closes: #683042)

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/rules: Cycles' GPL license file removal dropped
    - debian/patches/: patchset refreshed
      - 0011-fix_PATH_MAX_issue.patch dropped (applied upstream)
  * debian/control: OpenColorIO support added

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 06 Nov 2013 09:33:19 +0100

blender (2.68a-4) unstable; urgency=low

  * debian/control: subversion b-dep dropped
  * debian/patches/: patchset updated
    - strict python version in #0001 specified
    - 0011-fix_PATH_MAX_issue.patch added
      Thanks to Sergey Sharybin for the patch.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 30 Aug 2013 18:16:04 +0200

blender (2.68a-3) unstable; urgency=low

  * Upload to unstable
  * debian/: python3.3 Depends simplified
    - debian/control: python3.3 Depends dropped
      for blender-data package
    - 0001-blender_thumbnailer.patch refreshed
  * debian/control: libavcodec b-dep versioning dropped

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 14 Aug 2013 10:43:49 +0200

blender (2.68a-2) experimental; urgency=low

  * debian/patches/: patchset refreshed
    - 0010-fix_FTBFS_on_non-linux_architectures.patch updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Thu, 01 Aug 2013 17:38:54 +0200

blender (2.68a-1) experimental; urgency=low

  * New upstream bugfix release
    - debian/patches/: patchset re-worked against v2.68a
      - 0010-fix_format-security_issue.patch dropped
      - 0011-fix_FTBFS_on_non-SSE_architectures.patch applied upstream
      - 0012-fix_FTBFS_on_non-linux_architectures.patch renamed to #0010
  * debian/rules: Cycles' GPL license duplicate dropped

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 30 Jul 2013 14:46:50 +0200

blender (2.67b-3) experimental; urgency=low

  * debian/patches/: patchset updated
    - 0012-fix_FTBFS_on_non-linux_architectures.patch added
      Thanks to Pino Toscano (pino) for the quick patch.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 26 Jun 2013 11:46:17 +0200

blender (2.67b-2) experimental; urgency=low

  * debian/patches/: patchset updated
    - 0011-fix_FTBFS_on_non-SSE_architectures.patch added
      Thanks to Sergey Sharybin (upstream devel) for
      helping figuring this issue out.

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 24 Jun 2013 14:40:23 +0200

blender (2.67b-1) experimental; urgency=low

  [ Matteo F. Vescovi ]
  * New upstream bugfix release
    - debian/patches/: patchset re-worked against v2.67b
      - 0010-fix_format-security_issue.patch dropped (deeply modified)
      - 0011-fix_FTBFS_on_big-endian.patch dropped (applied upstream)
  * debian/: Cycles support added to all architectures
    - debian/control: libopenimageio-dev versioning dropped
    - debian/rules: arch-parsing for Cycles dropped
  * debian/rules: cosmetic cleanup.
    All outdated/useless comments were removed.
  * debian/: split of the original package
    - debian/patches/: #0010 added to fix format-security issue
    - debian/: install files updated
      - blender.install: usr/share/applications added
      - blender-data.install: all but usr/share/applications
    - debian/blender-data.doc-base: path updated
    - debian/blender-data.install: removed another useless path
    - debian/: blender.docs => blender-data.docs
    - debian/: blender.links => blender-data.links
    - debian/rules: duplicate readme file removed
    - debian/control: python3 dependencies fixed

  [ Reinhard Tartler ]
  * Fix upgrade path from wheezy

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Wed, 05 Jun 2013 17:15:16 +0200

=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
           Matteo F. Vescovi <mfvescovi@gmail.com>
Build-Depends: autotools-dev,
               cmake,
               debhelper (>= 9),
               gettext,
               libalut-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavformat-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-locale-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfftw3-dev,
               libgettextpo-dev,
               libglew-dev,
               libgsm1-dev,
               libjack-dev,
               libjpeg-dev,
               liblzma-dev,
               liblzo2-dev,
               libopenal-dev,
               libopenexr-dev,
               libopenimageio-dev [!armhf],
               libopenjpeg-dev,
               libpng-dev,
               libsdl-dev,
               libsndfile-dev,
               libspnav-dev,
               libswscale-dev,
               libtiff-dev,
               libvorbis-dev,
               libxi-dev,
               libz-dev,
               libfontconfig-dev,
               pkg-config,
               python3-all-dev,
               python3-dev
X-Python3-Version: >= 3.3
Build-Conflicts: nvidia-glx
Standards-Version: 3.9.5
Homepage: http://www.blender.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/blender.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/blender.git

Package: blender
Architecture: any
Depends: blender-data (= ${source:Version}),
         fonts-droid,
         libjs-jquery,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: libtiff4,
          yafaray-exporter
Breaks: yafaray-exporter (<< 0.1.2+really0.1.2~beta5-1)
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.

Package: blender-data
Architecture: all
Depends: python3,
         ${misc:Depends},
         ${python3:Depends}
Replaces: blender (<< 2.67b-1~)
Description: Very fast and versatile 3D modeller/renderer - data package
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.
 .
 This package contains documentation, libraries and images for blender.

Package: blender-dbg
Architecture: any
Section: debug
Priority: extra
Depends: blender (= ${binary:Version}),
         ${misc:Depends}
Description: debug symbols for Blender
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games).
 .
 This package contains debug symbols to produce useful backtraces.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

INSTDIR = debian/tmp
PY3VERS = $(shell py3versions -dv)

# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
PACKAGE = blender
SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
SVN_REVISION := $(shell echo $(SRC_VERSION) | sed 's,^.*svn,,')
TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.bz2
UPSTREAM_SVN_REPOSITORY = "https://svn.blender.org/svnroot/bf-blender/trunk/blender"
.PHONY: get-orig-source

get-orig-source:
	rm -rf get-orig-source $(TARBALL)
	mkdir get-orig-source
	svn export -r $(SVN_REVISION) $(UPSTREAM_SVN_REPOSITORY) \
	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
	BZIP2='--best --no-name' tar cjf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
	rm -rf get-orig-source
	@echo "  "$(TARBALL)" created; move it to the right destination to build the package"

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DFREETYPE_INCLUDE_DIRS="/usr/include/freetype2" \
		-DPYTHON_VERSION=$(PY3VERS) \
		-DWITH_IMAGE_OPENJPEG=ON \
		-DWITH_FFTW3=ON \
		-DWITH_JACK=ON \
		-DWITH_PLAYER=ON \
		-DWITH_INSTALL_PORTABLE=OFF \
		-DWITH_PYTHON_INSTALL=OFF \
		-DWITH_CODEC_FFMPEG=ON \
		-DWITH_CODEC_SNDFILE=ON \
		-DWITH_FONTCONFIG=ON \
		-DWITH_MOD_OCEANSIM=ON \
		-DWITH_CYCLES=$(if $(filter-out armhf,$(DEB_HOST_ARCH)),ON,OFF)

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	find $(INSTDIR)/usr/share/blender/ -type d -empty -delete
	rm $(INSTDIR)/usr/share/blender/scripts/addons/netrender/js/jquery.js
	rm $(INSTDIR)/usr/share/doc/blender/readme.html

override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_strip:
	dh_strip --dbg-package=blender-dbg

%:
	dh $@ --buildsystem=cmake --parallel --with python3

=== debian/watch ===
# Upstream releases are maintained in svn branches.
# You can grab the last release (according to changelog version) with get-orig-source in debian/rules.
# Here we keep track of the stable releases.
version=3
http://download.blender.org/source/blender-(.+)\.tar\.gz
